import { Data } from 'hsdatab';
import { GraphComponent } from './GraphComponent';
import { GraphCfg } from './ConfigTypes';
export declare enum Direction {
    Horizontal = "hor",
    Vertical = "ver"
}
export declare class Axis extends GraphComponent {
    private dir;
    private svg;
    private defaults;
    constructor(cfg: GraphCfg, dir: Direction);
    render(data: Data): void;
}
