import { Data } from 'hsdatab';
import { Defaults } from './Defaults';
import { GraphComponent } from './GraphComponent';
export declare class Graph extends GraphComponent {
    private plot;
    private axes;
    private cumulativeDomains;
    constructor(root: any);
    readonly defaults: Defaults;
    resize(): void;
    render(data: Data): void;
    addSeries(type: string, x: string, y: string, ...params: string[]): void;
    private drawCanvas;
    private setScales;
}
