import { Data } from 'hsdatab';
import { GraphCfg } from './ConfigTypes';
import { PlotFnDef } from './ConfigTypes';
import { UnitVp } from './ConfigTypes';
import { GraphComponent } from './GraphComponent';
export declare class Plot extends GraphComponent {
    protected static plotFnMap: any;
    static register(key: string, fn: PlotFnDef): void;
    private desc;
    private series;
    constructor(cfg: GraphCfg);
    setBorders(left: UnitVp, top: UnitVp, right: UnitVp, bottom: UnitVp): void;
    addSeries(type: string, ...params: string[]): void;
    render(data: Data): void;
    private renderPlotArea;
}
